### Uzdevums: Lietotnes izstrāde "Finanšu datu analīze pēc kategorijām no CSV failiem"

**Mērķis:** Izveidot lietotni, kas ļauj ielādēt finanšu datus no **CSV** failiem, izvēlēties konkrētu kategoriju analīzei un, pamatojoties uz šo kategoriju, uzzīmēt ieņēmumu un izdevumu grafikus pa gadiem. Datu analīze un vizualizācija tiek veikta pēc kategorijas izvēles, izmantojot bibliotēku **matplotlib**.

### CSV faila struktūra

Lietotne darbojas ar datiem, kas strukturēti **CSV** failā. Šeit ir faila struktūras piemērs:

#### CSV faila dati:
```csv
Datums,Kategorija,Ieņēmumi,Izdevumi,Komentārs
2021-01-01,Pārdošana,10000,2000,Ienākumi janvārī
2021-01-15,Mārketings,0,500,Reklāmas kampaņa
2022-02-01,Pārdošana,12000,1800,Ienākumi februārī
2022-02-20,Biroja izdevumi,0,800,Biroja īre
2023-03-01,Pārdošana,15000,2500,Ienākumi martā
2023-03-15,Mārketings,0,1000,Jauna reklāmas stratēģija
```
#### Datu lauki:
1. **Datums** — finanšu notikuma datums formātā `GGGG-MM-DD`.
2. **Kategorija** — operācijas kategorija (piemēram, "Pārdošana", "Mārketings", "Biroja izdevumi").
3. **Ieņēmumi** — ienākumu summa (ja operācija ir saistīta ar ieņēmumiem).
4. **Izdevumi** — izdevumu summa (ja operācija ir saistīta ar izdevumiem).
5. **Komentārs** — papildu informācija par operāciju.

### Lietotnes funkcionalitāte

1. **Datu ielāde no CSV faila**:  
   Lietotājs ielādē **CSV** failu, kas satur ieņēmumu un izdevumu datus. Pēc faila ielādes tas tiek attēlots tabulas veidā ar kolonnu nosaukumiem: "Datums", "Kategorija", "Ieņēmumi", "Izdevumi", "Komentārs". Lietotājs var apskatīt ielādētos datus.

2. **Kategorijas izvēle analīzei**:
   Lietotājs izvēlas kategoriju analīzei (piemēram, "Pārdošana", "Mārketings" utt.) no visām pieejamajām kategorijām, kas ir failā. Analīze tiek veikta tikai pēc izvēlētās kategorijas.

3. **Datu analīze pēc izvēlētās kategorijas**:
   Pēc kategorijas izvēles un pogas "Analizēt" nospiešanas, lietotne veic šādas darbības:
   - **Vidējie ieņēmumi** pēc izvēlētās kategorijas.
   - **Vidējie izdevumi** pēc izvēlētās kategorijas.
   - **Maksimālie un minimālie ieņēmumi** izvēlētajā kategorijā.
   - **Maksimālie un minimālie izdevumi** izvēlētajā kategorijā.
   - **Kopējie ieņēmumi un izdevumi** pēc kategorijas visā periodā.

4. **Sadaļa "Grafiki"**:
Lietotnē jābūt sadaļai, kas izveidota ar **Notebook**, kur lietotājs var vizualizēt datus. Šajā sadaļā lietotājs var izvēlēties kategoriju un uzzīmēt ieņēmumu un izdevumu izmaiņu grafiku pa gadiem.

- **Kategorijas izvēle**: Lietotājs izvēlas kategoriju, kurai tiks zīmēts grafiks.
- **Poga "Zīmēt grafiku"**: Pēc kategorijas izvēles un pogas nospiešanas lietotne attēlo grafiku, izmantojot **matplotlib** bibliotēku. Grafikā tiek parādīti:
  - **X ass** — gadi.
  - **Y ass** — ieņēmumu un izdevumu summas.
  - Divas līnijas: viena līnija ieņēmumiem, otra izdevumiem, kas parāda izmaiņu dinamiku pa gadiem.


5. **Datu vizualizācija**:
- **Ieņēmumu un izdevumu grafiks**: Līniju grafiks, kurā parādītas ieņēmumu un izdevumu izmaiņas izvēlētajā kategorijā norādītajā laika periodā.
- **Krāsainas līnijas** ieņēmumiem un izdevumiem, lai skaidri atspoguļotu atšķirības.

### Lietotāja darbības lietotnē:

1. **Faila ielāde**: Lietotājs nospiež pogu "Ielādēt failu", izvēlas **CSV** failu un ielādē datus, dati tiek atteloti tabulas veidā.
2. **Kategorijas izvēle analīzei**: Lietotājs izvēlas kategoriju no nolaižamā saraksta.
3. **Datu analīze**: Lietotājs nospiež pogu "Analizēt", un pēc tam rezultāti tiek izvadīti uz ekrāna: vidējās, maksimālās, minimālās vērtības, kā arī kopējās ieņēmumu un izdevumu summas izvēlētajā kategorijā.
4. **Grafika zīmēšana**: Lietotājs pārslēdzas uz sadaļu "Grafiki", izvēlas kategoriju un nospiež pogu "Zīmēt grafiku". Lietotne uzzīmē ieņēmumu un izdevumu izmaiņu grafiku pa gadiem.

